org.apache.commons.jelly.tags.define

## Class DefineTagLibrary

- java.lang.Object
- - org.apache.commons.jelly.TagLibrary
  - - org.apache.commons.jelly.tags.define.DefineTagLibrary

    public class DefineTagLibrary
    extends TagLibrary

This is a tag library that allows you to define new tag libraries at run time. Thus tag libraries and tags can be easily implemented in Jelly rather than in Java code. Please see the individual tag classes for more information, particularly `Taglib tag` and `Tag tag`.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`DefineTagLibrary()`

### Method Summary

### Methods inherited from class org.apache.commons.jelly.TagLibrary

`createExpression, createTag, createTagScript, getExpressionFactory, getTagClasses, registerTag, registerTagFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefineTagLibrary

    public DefineTagLibrary()